apiVersion: apps/v1
kind: Deployment
metadata: {{ \$fullname := printf "%s-%s" .Release.Name .Chart.Name | trunc 63 | trimSuffix "-" }}
  name: {{ \$fullname }}
  labels:
    chart: "{{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}"
spec:
  selector:
    matchLabels:
      app: {{ \$fullname }}
  replicas: {{ default 1 .Values.replicaCount | int }}
  template:
    metadata:
      labels:
        app: {{ \$fullname }}
    spec:
      containers:
      - name: {{ .Chart.Name }}
        image: "{{ .Values.image }}"
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: {{ .Values.service.internalPort | int }}
        livenessProbe:
          httpGet:
            path: /
            port: {{ .Values.service.internalPort | int }}
        readinessProbe:
          httpGet:
            path: /
            port: {{ .Values.service.internalPort | int }}
        resources:
{{ toYaml .Values.resources | indent 10 }}